FreeBSD Administration - Support #788

Install MariaDB 10 on FreeBSD
04/02/2016 10:54 AM - Daniel Curtis

Status: Closed Start date: 04/03/2016
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Database Server Estimated time: 0.50 hour
Target version: FreeBSD 10 Spent time: 1.00 hour
Description

This is a simple guide on setting up a MariaDB 10 server on FreeBSD 10.

Prepare the Environment

o Make sure the system is up to date:

pkg update && pkg upgrade

Install MariaDB server

e Start by installing the mariadb100-server and mariadb100-client packages:

pkg install mariadbl00-{server,client}
e Copy a base MariaDB configuration to use:

cp /usr/local/share/mysqgl/my-small.cnf /var/db/mysgl/my.cnf
e Edit the mariadb config to change the max packet size:

vi /var/db/mysqgl/my.cnf

o and modify max_allowed_packet to 32M
max_allowed_packet = 32M
e Enable and start MariaDB

echo 'mysgl_enable="YES"' >> /etc/rc.conf
service mysqgl-server start

* Prepare the database for use by running the secure installation:

mysgl_secure_installation

o NOTE: Choose a strong root password and answer yes to all questions.

Create MariaDB Databases and Users
e Login to MariaDB and create appropriate databases and users.

mysgl —-u root -p

o and run the following SQL queries to create the somedb database and someuser user:

CREATE DATABASE somedb CHARACTER SET utf8;

CREATE USER 'someuser'@'localhost' IDENTIFIED BY 'SuperSecretPassword';
GRANT ALL PRIVILEGES ON somedb.* TO 'someuser'@'localhost';

FLUSH PRIVILEGES;

quit

History

#1 - 04/02/2016 02:08 PM - Daniel Curtis
- Tracker changed from Bug to Support
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 04/09/2016 10:19 AM - Daniel Curtis

- Status changed from Resolved to Closed
